path: /build/build/xcb-util-wm-x11-libs-0.4.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ppc-aix -test -x86-winnt" emerge x11-libs/xcb-util-wm -pv -t && \
    USE="-doc -ppc-aix -test -x86-winnt" emerge -j ${JOBS} --nodeps x11-libs/xcb-util-wm
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xcb-util-wm && luet-portage --dir /pkgdir/xcb-util-wm
    x11-libs/xcb-util-wm && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:93eceb17bb5ecb19ea70ebe06f0ec1a685411aee615f3a866ec283195b1a2176
  package:
    name: xcb-util-wm
    version: 0.4.1
    category: x11-libs
    use_flags:
    - -doc
    - -ppc-aix
    - -test
    - -x86-winnt
    requires:
    - name: xcb-util-keysyms
      version: '>=0'
      category: x11-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: X C-language Bindings sample implementations
    uri:
    - https://xcb.freedesktop.org/
    license: MIT
    buildtimestamp: 2023-08-22 19:10:00.402954906 +0000 UTC m=+109.867772375
    labels:
      DEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)] >=dev-util/gperf-3.0.1 test?
        ( >=dev-libs/check-0.9.11[-mgorny(-)] ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a
        sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt?
        ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0
        ) virtual/pkgconfig[-mgorny(-)] doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor
        ) app-text/xmlto app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
        app-text/docbook-xml-dtd:4.3 ) )'
      IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64 static-libs doc
      RDEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)]'
      emerge.packages: x11-libs/xcb-util-wm
      kit: core-gl-kit
      original.package.name: x11-libs/xcb-util-wm
      original.package.slot: "0"
      original.package.version: 0.4.1-r2
    treedir: /build/packages
  package_dir: /pkgdir/xcb-util-wm
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 476408b62ee96576039fc0a665cfbd6b28aa30144cb1ddaf0816f3bd25315dc6
compressiontype: zstd
files:
- usr/include/xcb/xcb_ewmh.h
- usr/include/xcb/xcb_icccm.h
- usr/lib64/libxcb-ewmh.so
- usr/lib64/libxcb-ewmh.so.2
- usr/lib64/libxcb-ewmh.so.2.0.0
- usr/lib64/libxcb-icccm.so
- usr/lib64/libxcb-icccm.so.4
- usr/lib64/libxcb-icccm.so.4.0.0
- usr/lib64/pkgconfig/xcb-ewmh.pc
- usr/lib64/pkgconfig/xcb-icccm.pc
- usr/share/doc/xcb-util-wm-0.4.1-r2/ChangeLog.bz2
- usr/share/doc/xcb-util-wm-0.4.1-r2/NEWS.bz2
- usr/share/doc/xcb-util-wm-0.4.1-r2/README.bz2
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/BUILD_TIME
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/CATEGORY
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/CBUILD
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/CFLAGS
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/CHOST
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/CONTENTS
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/COUNTER
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/CXXFLAGS
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/DEFINED_PHASES
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/DEPEND
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/DESCRIPTION
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/EAPI
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/FEATURES
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/HOMEPAGE
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/INHERITED
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/IUSE
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/KEYWORDS
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/LDFLAGS
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/LICENSE
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/NEEDED
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/PF
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/PROVIDES
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/RDEPEND
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/REQUIRES
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/SIZE
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/SLOT
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/USE
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/environment.bz2
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/repository
- var/db/pkg/x11-libs/xcb-util-wm-0.4.1-r2/xcb-util-wm-0.4.1-r2.ebuild
package_cacheimage: ""
runtime:
  name: xcb-util-wm
  version: 0.4.1
  category: x11-libs
  use_flags:
  - -doc
  - -ppc-aix
  - -test
  - -x86-winnt
  requires:
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: X C-language Bindings sample implementations
  uri:
  - https://xcb.freedesktop.org/
  license: MIT
  labels:
    DEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)] >=dev-util/gperf-3.0.1 test? (
      >=dev-libs/check-0.9.11[-mgorny(-)] ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18
      >=media-fonts/font-util-1.2.0 ) x86-winnt? ( >=sys-devel/libtool-2.2.6a sys-devel/m4
      >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) virtual/pkgconfig[-mgorny(-)]
      doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor ) app-text/xmlto app-doc/doxygen
      app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2 app-text/docbook-xml-dtd:4.3
      ) )'
    IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64 static-libs doc
    RDEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)]'
    emerge.packages: x11-libs/xcb-util-wm
    kit: core-gl-kit
    original.package.name: x11-libs/xcb-util-wm
    original.package.slot: "0"
    original.package.version: 0.4.1-r2
